Bug 702770 - Menu and window backgrounds rendered badly (transparent or black) on Qt apps
Summary: Menu and window backgrounds rendered badly (transparent or black) on Qt apps
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 15
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-07 00:02 UTC by hxr10011
Modified: 2011-05-19 04:54 UTC (History)
2 users (show)

Fixed In Version: xorg-x11-drv-intel-2.15.0-3.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-10 19:42:54 UTC
Type: ---


Attachments (Terms of Use)
Badly rendered window title-bar and desktop menu in KDE Plasma 4.6 (115.88 KB, image/jpeg)
2011-05-07 00:02 UTC, hxr10011
no flags Details

Description hxr10011 2011-05-07 00:02:06 UTC
Created attachment 497468 [details]
Badly rendered window title-bar and desktop menu in KDE Plasma 4.6

Description of problem:

Using a new Thinkpad T420 with the Intel HD 3000 graphics card, 1600x900 display:

Pop-menus, the system's application menu, and window title bars are rendered badly, both with and without desktop effects enabled. This was confirmed using a full install as well as with the Fedora 15 Beta KDE Live CD.

With desktop effects turned off, the background of mis-rendered items comes out partially black. With effects turned on, they usually come out partially or entirely transparent. Both cases make menu items very difficult to read.

Version-Release number of selected component (if applicable):

The latest KDE and intel driver as of filing this bug:
xorg-x11-drv-intel-2.14.0-6.fc15.x86_64
qt-4.7.2-8
kdelibs-4.6.2-4

How reproducible:

Right click on desktop to open desktop menu

Steps to Reproduce:
1. Log into KDE 4.6 Plasma
2. right click on the desktop to get menu
3. view menu with badly rendered background
  
Actual results:

See attachment

Expected results:


Additional info:

Comment 1 hxr10011 2011-05-07 21:10:14 UTC
According to the following comment for the same bug on Xorg's bug list, the issue has been fixed in version 2.15.0 of the Intel Xorg driver, so if that can get updated within the Fedora repo by the time Fedora 15 is released, that should take care of this issue:

https://bugs.freedesktop.org/show_bug.cgi?id=36942

Comment 3 Fedora Update System 2011-05-09 18:44:17 UTC
xorg-x11-drv-intel-2.15.0-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/xorg-x11-drv-intel-2.15.0-3.fc15

Comment 4 Fedora Update System 2011-05-09 22:38:16 UTC
Package xorg-x11-drv-intel-2.15.0-3.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xorg-x11-drv-intel-2.15.0-3.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/xorg-x11-drv-intel-2.15.0-3.fc15
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-05-19 04:54:16 UTC
xorg-x11-drv-intel-2.15.0-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.